set oklevels [list]
lappend oklevels fiendish
set sudoku101 ./sudoku101.exe

proc gen_valid_board {} {
   global oklevels sudoku101
   set retlist [list]
   set skip 0

   set validboard 0
   while {!$skip} {
      set bd [exec $sudoku101 -g25 -fcompact] ;# [ -t win32/template]
      set flist [split $bd \n]
      foreach line $flist {
         if {$skip} { continue }
         if {[regexp {^% randomly generated - (.*)$} $line a rating]} {
            if {$validboard} {
               set skip 1
            } elseif {[lsearch -exact $oklevels $rating] >= 0} {
               set validboard 1
               lappend retlist $line
            }
         } elseif {$validboard} {
            lappend retlist $line
         }
      }
   }
   # return $retlist
   foreach line $retlist { puts $line }
}

gen_valid_board

